All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.commands.export
Interface RelationalExportCommandV2Interface

All Superinterfaces:
  BaseEntityValueInterface, RelationalExportCommandInterface

All Known Implementing Classes:
  BaseRelationalExportCommand, ExportToCSVCommand, ExportToExcelXMLCommand, ExportToHTMLCommand, ExportToTabSeparatedCommand

    public interface RelationalExportCommandV2Interface

extends RelationalExportCommandInterface

Execute methods that allow the user to specifiy which columns to export and the headers and footers to export.

Method Summary
`void` | `execute(int startRow, int nRows, boolean isRawData, int[] columns, java.lang.String[] headers, java.lang.String[] footers)` Executes the command
`void` | `execute(java.lang.Object out, int startRow, int nRows, boolean isRawData, int[] columns, java.lang.String[] headers, java.lang.String[] footers)` Executes the command

Methods inherited from interface com.sas.commands.export.RelationalExportCommandInterface
`execute, execute`

Methods inherited from interface com.sas.entities.BaseEntityValueInterface
`getAttribute, setAttribute`

Method Detail

### execute

    void execute(int startRow,
                 int nRows,
                 boolean isRawData,
                 int[] columns,
                 java.lang.String[] headers,
                 java.lang.String[] footers)

  Executes the command

  Parameters:
    `startRow` - the index (in the model) of the first row of data to export
    `nRows` - the number of rows of data to export
    `isRawData` - true if non formatted data have to be exported, false if formatted data have to be exported
    `columns` - the indexes (in the data model) of the columns to export, if null it will export all the columns in the data model
    `headers` - the headers to export above the data, each header on a separate row
    `footers` - the footers to export below the data, each footer on a separate row

### execute

    void execute(java.lang.Object out,
                 int startRow,
                 int nRows,
                 boolean isRawData,
                 int[] columns,
                 java.lang.String[] headers,
                 java.lang.String[] footers)

  Executes the command

  Parameters:
    `out` - the output object where to write the exported data to (example a `ServletResponse` or a `Writer`)
    `startRow` - the index (in the model) of the first row of data to export
    `nRows` - the number of rows of data to export
    `isRawData` - true if non formatted data have to be exported, false if formatted data have to be exported
    `columns` - the indexes (in the data model) of the columns to export, if null it will export all the columns in the data model
    `headers` - the headers to export above the data, each header on a separate row
    `footers` - the footers to export below the data, each footer on a separate row

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.